Items you bought
GET
/v1/me/purchases
const url = 'https://api.gampeon.com/v1/me/purchases';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/me/purchases \ --header 'Authorization: Bearer <token>'Not available with access tokens.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Items
Media typeapplication/json
object
purchases
required
Array
object
name
required
Unique resource name
string
title
required
string
description
required
string
kind
required
string
tags
required
Array<string>
owner
required
image
required
downloads
required
Downloads of all versions
integer
price
required
Price in GAMPEONS, 0 = free
integer
createdAt
required
Unix time in milliseconds
integer format: int64
updatedAt
required
Unix time in milliseconds
integer format: int64
paid
required
Amount in GAMPEONS
integer
Example
{ "purchases": [ { "kind": "script" } ]}Error codes: unauthorized
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}